Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes

# cv::RTreeClassifier Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
int | classes () const
float | countZeroElements ()
void | discardFloatPosteriors ()
void | getFloatSignature (IplImage *patch, float *sig) const
void | getSignature (IplImage *patch, float *sig) const
void | getSignature (IplImage *patch, uchar *sig) const
void | getSparseSignature (IplImage *patch, float *sig, float thresh) const
int | original_num_classes () const
void | read (const char *file_name)
void | read (std::istream &is)
| RTreeClassifier ()
void | saveAllBytePosteriors (std::string file_url)
void | saveAllFloatPosteriors (std::string file_url)
void | setFloatPosteriorsFromTextfile_176 (std::string url)
void | setQuantization (int num_quant_bits)
void | train (std::vector< BaseKeypoint > const &base_set, RNG &rng, int num_trees=RTreeClassifier::DEFAULT_TREES, int depth=RandomizedTree::DEFAULT_DEPTH, int views=RandomizedTree::DEFAULT_VIEWS, size_t reduced_num_dim=RandomizedTree::DEFAULT_REDUCED_NUM_DIM, int num_quant_bits=DEFAULT_NUM_QUANT_BITS)
void | train (std::vector< BaseKeypoint > const &base_set, RNG &rng, PatchGenerator &make_patch, int num_trees=RTreeClassifier::DEFAULT_TREES, int depth=RandomizedTree::DEFAULT_DEPTH, int views=RandomizedTree::DEFAULT_VIEWS, size_t reduced_num_dim=RandomizedTree::DEFAULT_REDUCED_NUM_DIM, int num_quant_bits=DEFAULT_NUM_QUANT_BITS)
void | write (std::ostream &os) const
void | write (const char *file_name) const
## Static Public Member Functions
static int | countNonZeroElements (float *vec, int n, double tol=1e-10)
static uchar * | safeSignatureAlloc (int num_sig=1, int sig_len=176)
static void | safeSignatureAlloc (uchar **sig, int num_sig=1, int sig_len=176)
## Public Attributes
std::vector< RandomizedTree > | trees_
## Static Public Attributes
static const size_t | DEFAULT_NUM_QUANT_BITS = 4
static const int | DEFAULT_TREES = 48

## Constructor & Destructor Documentation

cv::RTreeClassifier::RTreeClassifier | ( | ) |

## Member Function Documentation

int cv::RTreeClassifier::classes | ( | ) | const`[inline]`

static int cv::RTreeClassifier::countNonZeroElements | ( | float * | vec,
|  | int | n,
|  | double | tol = `1e-10`
| ) |  | `[static]`

float cv::RTreeClassifier::countZeroElements | ( | ) |

void cv::RTreeClassifier::discardFloatPosteriors | ( | ) |

void cv::RTreeClassifier::getFloatSignature | ( | IplImage * | patch,
|  | float * | sig
| ) |  | const`[inline]`

void cv::RTreeClassifier::getSignature | ( | IplImage * | patch,
|  | float * | sig
| ) |  | const

void cv::RTreeClassifier::getSignature | ( | IplImage * | patch,
|  | uchar * | sig
| ) |  | const

void cv::RTreeClassifier::getSparseSignature | ( | IplImage * | patch,
|  | float * | sig,
|  | float | thresh
| ) |  | const

int cv::RTreeClassifier::original_num_classes | ( | ) | const`[inline]`

void cv::RTreeClassifier::read | ( | const char * | file_name ) |

void cv::RTreeClassifier::read | ( | std::istream & | is ) |

static void cv::RTreeClassifier::safeSignatureAlloc | ( | uchar ** | sig,
|  | int | num_sig = `1`,
|  | int | sig_len = `176`
| ) |  | `[inline, static]`

static uchar* cv::RTreeClassifier::safeSignatureAlloc | ( | int | num_sig = `1`,
|  | int | sig_len = `176`
| ) |  | `[inline, static]`

void cv::RTreeClassifier::saveAllBytePosteriors | ( | std::string | file_url ) |

void cv::RTreeClassifier::saveAllFloatPosteriors | ( | std::string | file_url ) |

void cv::RTreeClassifier::setFloatPosteriorsFromTextfile_176 | ( | std::string | url ) |

void cv::RTreeClassifier::setQuantization | ( | int | num_quant_bits ) |

void cv::RTreeClassifier::train | ( | std::vector< BaseKeypoint > const & | base_set,
|  | RNG & | rng,
|  | PatchGenerator & | make_patch,
|  | int | num_trees = `RTreeClassifier::DEFAULT_TREES`,
|  | int | depth = `RandomizedTree::DEFAULT_DEPTH`,
|  | int | views = `RandomizedTree::DEFAULT_VIEWS`,
|  | size_t | reduced_num_dim = `RandomizedTree::DEFAULT_REDUCED_NUM_DIM`,
|  | int | num_quant_bits = `DEFAULT_NUM_QUANT_BITS`
| ) |  |

void cv::RTreeClassifier::train | ( | std::vector< BaseKeypoint > const & | base_set,
|  | RNG & | rng,
|  | int | num_trees = `RTreeClassifier::DEFAULT_TREES`,
|  | int | depth = `RandomizedTree::DEFAULT_DEPTH`,
|  | int | views = `RandomizedTree::DEFAULT_VIEWS`,
|  | size_t | reduced_num_dim = `RandomizedTree::DEFAULT_REDUCED_NUM_DIM`,
|  | int | num_quant_bits = `DEFAULT_NUM_QUANT_BITS`
| ) |  |

void cv::RTreeClassifier::write | ( | std::ostream & | os ) | const

void cv::RTreeClassifier::write | ( | const char * | file_name ) | const

## Member Data Documentation

const size_t cv::RTreeClassifier::DEFAULT_NUM_QUANT_BITS = 4`[static]`

const int cv::RTreeClassifier::DEFAULT_TREES = 48`[static]`

std::vector<RandomizedTree> cv::RTreeClassifier::trees_

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines